#
# spec file for package pptpd (Version 1.3.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libpcap libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt ppp ppp-devel procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pptpd
License:        GPL v2 or later
Group:          Productivity/Networking/PPP
Version:        1.3.0
Release:        27
URL:            http://www.poptop.org/
Summary:        PoPToP - PPTP Daemon, Linux as Microsoft VPN Server
Source:         http://poptop.lineo.com/releases/pptpd-%{version}.tar.bz2
Source1:        rcpptpd
Source3:        pptp-install.tar.bz2
Source4:        pptpd.conf
Source5:        options.ppp0
Source7:        README.SuSE
Source8:        LIESMICH.SuSE
Patch0:         makefile.diff
Patch1:         pptpd-cflags.patch
Patch2:         pptpd-pptpd-logwtmp-version.patch
Patch3:         pptpd_1.3.0-CVE-2007-0244.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq %insserv_prereq
BuildRequires:  ppp-devel

%description
PoPToP is a PPTP(Point-to-Point Tunneling Protocol) server solution for
Linux, it allows Linux servers to function seamlessly in the PPTP VPN
environment. This release supports Windows 95/98/NT/2000 PPTP clients
and PPTP Linux clients.



Authors:
--------
    Matthew Ramsay <matthewr@moreton.com.au>
    Kevin Thayer <tmk@netmagic.net>
    David Luyer <luyer@ucs.uwa.edu.au>
    Peter Galbavy <Peter.Galbavy@knowledge.com>

%debug_package
%prep
%setup -a 3
%patch0
%patch1 -p1
%patch2
%patch3 -p1
rm plugins/pppd.h
rm plugins/patchlevel.h

%build
autoreconf -i -f
./configure --prefix=/usr --mandir=%{_mandir}
make OPTFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -m 0755 pptpd			%{buildroot}/usr/sbin/pptpd
install -m 0755 pptpctrl		%{buildroot}/usr/sbin/pptpctrl
mkdir -p %{buildroot}/etc/init.d
install -m 0644 %{S:4}			%{buildroot}/etc/pptpd.conf
install -m 0744 %{S:1}			%{buildroot}/etc/init.d/pptpd
ln -sf ../../etc/init.d/pptpd %{buildroot}/usr/sbin/rcpptpd

%clean
rm -rf %{buildroot}

%post
%{fillup_and_insserv pptpd}

%postun
%{insserv_cleanup}

%files
%defattr (-, root, root)
%doc $RPM_SOURCE_DIR/README.SuSE $RPM_SOURCE_DIR/LIESMICH.SuSE
%doc $RPM_SOURCE_DIR/options.ppp0
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* TODO
%doc samples PPTP-Installation pptp-server
%config /etc/pptpd.conf
%{_mandir}/*/pptp*
/usr/sbin/pptpctrl
/usr/sbin/pptpd
/usr/sbin/rcpptpd
/usr/sbin/bcrelay
/usr/lib/pptpd
/etc/init.d/pptpd

%changelog
* Tue Sep 04 2007 - hvogel@suse.de
- Fix a malformed GRE packet DOS [#307261]
* Fri May 04 2007 - hvogel@suse.de
- pptpd-1.3.0-CVE-2007-0244-gre_dos.patch
  Fix remote DOS in pptpd [#270811]
* Mon Oct 23 2006 - hvogel@suse.de
- fix logwtmp plugin version. Use ppp devel files in the
  future. [#209908]
* Thu Jul 13 2006 - mskibbe@suse.de
- update to version 1.3.0 which
  o disable Van Jacobson compression
  o packet reordering implementation, contributed from
  PPTP Client anonymously
  o fix some bugs
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 03 2005 - arvin@suse.de
- updated to version 1.2.3 with some minor bug fixes and
  performance enhancements
* Wed Sep 28 2005 - meissner@suse.de
- use RPM_OPT_FLAGS.
* Tue Apr 26 2005 - arvin@suse.de
- updated to version 1.2.1
* Wed Jan 26 2005 - meissner@suse.de
- use RPM_OPT_FLAGS
* Sat Jan 10 2004 - adrian@suse.de
- fix user build
* Wed Nov 26 2003 - bk@suse.de
- rcpptpd: add the options -sq to startproc to detach(fixes #27385)
* Mon Jun 02 2003 - ro@suse.de
- fix rcpptpd symlink
* Mon May 12 2003 - bk@suse.de
- fix pptp daemon buffer overflow with controlpacket length(#26508)
* Tue Sep 17 2002 - ro@suse.de
- replaced "network route" by "$network" in rcscript(fix bug #21312)
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Thu Feb 14 2002 - arvin@suse.de
- updated and fixed README
- use BuiltRoot
* Tue Jan 15 2002 - egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Tue Jan 15 2002 - ro@suse.de
- removed START_PPTPD
* Tue Aug 07 2001 - arvin@suse.de
- LSB conform init script (bug #9075)
* Tue Nov 28 2000 - arvin@suse.de
- use insserv in post-install for creating init.d scripts
- changed group tag
* Wed Nov 22 2000 - bk@suse.de
- Updated to version 1.1.2, needed for the firew-livecd with win2k.
- added man pages
* Wed Mar 08 2000 - dipa@suse.de
- added pptp-install.tar.gz, pptpd.conf and options.ppp0
* Mon Mar 06 2000 - bk@suse.de
- added README.SuSE and LIESMICH.SuSE from jnschei.
- wrote and added start script rcpptpd
* Wed Feb 23 2000 - dipa@suse.de
- pptpd is a new package to include linux servers in PPTP
  established VPNs. It based on release version pptp-1.0.0.tgz
